<?php

// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		<p class="nocomments">Пожалуйста, введите пароль для просмотра комментариев.</p>
	<?php
		return;
	}
?>

<!-- You can start editing here. -->

<?php if ( have_comments() ) : ?>
	<div id="commentspost" class="normalComments"><a name="comments"></a>
	<h2>Отзывов (<?php comment_type_count('comment');?>)</h2>
	<div class="sep"></div>
	<ol class="commentlist">
	<?php //wp_list_comments('type=comment');
  wp_list_comments('type=comment&callback=normalComments'); ?>
	</ol>
	</div>
 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments">Комментарии закрыты.</p>

	<?php endif; ?>
<?php endif; ?>


<?php if ('open' == $post->comment_status) : ?>

<div id="respond">

<h3><?php comment_form_title( 'Ваш отзыв', 'Ваш отзыв на %s' ); ?></h3>

<div class="cancel-comment-reply">
	<small><?php cancel_comment_reply_link(); ?></small>
</div>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>Вы должны <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">войти</a>, чтобы оставлять комментарии.</p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p>Вы вошли как <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Выйти с этого аккаунта">Выйти &raquo;</a></p>

<?php else : ?>

<label for="author"><small>Имя <?php if ($req) echo "(required)"; ?></small></label><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> /><br />

<label for="email"><small>Почта <?php if ($req) echo "(required)"; ?></small></label><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> /><br />

<label for="url"><small>Сайт</small></label><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" /><br />

<?php endif; ?>

<!--<p><small><strong>XHTML:</strong> Вы можете использовать следующие теги: <code><?php echo allowed_tags(); ?></code></small></p>-->

<label for="comment"><small>Отзыв</small></label><textarea name="comment" id="comment" tabindex="4"></textarea><br />
<label>&nbsp;</label><input name="submit" type="submit" id="submit" tabindex="5" value="Отправить" />
<?php comment_id_fields(); ?>
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>
</div>
  <div class="sep">&nbsp;</div>
  <div id="trackbacks" class="normalComments">
	<h2>Трекбеков (<?php comment_type_count('trackback');?>)</h2>
	<p class="trackbackurl">Адрес для трекбека: <br /><strong><?php trackback_url(); ?></strong></p>
	<div class="sep"></div>
	<ol class="trackbackslist">
	<?php wp_list_comments('type=trackback&callback=normalPings'); ?>
	</ol>
	</div>	
  <div id="pings" class="normalComments">
	<h2>Пингов (<?php comment_type_count('pingback');?>)</h2>
	<div class="sep"></div>
	<ol class="trackbackslist">
	<?php wp_list_comments('type=pingback&callback=normalPings'); ?>
	</ol>
	</div>
<?php endif; // if you delete this the sky will fall on your head ?>
