<?php

function normalComments($comment, $args, $depth)
{
$GLOBALS['comment'] = $comment;
    global $options;
    foreach ($options as $value) {
        if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
    }

  $adminid = explode (",",$tra_admin_ids);
  $oddcomment = 'guest';
  if (in_array($comment->user_id, $adminid)) {$oddcomment = 'author'; }

  $gravatarsize = $tra_comments_gravatar_size;
  $gravatar_id = md5($comment->comment_author_email);
  $gravatar = get_avatar($comment->comment_author_email, $gravatarsize,'');
  echo"<li class=\"$oddcomment\"><div class=\"gravatar gravatar-$oddcomment\">$gravatar</div>";
if($args['max_depth']!=$depth) { ?>
<div class="reply"><?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></div>
<?php }
  echo"<div class=\"comment-content\" id=\"comment-$comment->comment_ID\"><cite class=\"author\">"; if (strlen($comment->comment_author_url) > 10){ echo"<a href=\"".$comment->comment_author_url."\" rel=\"external,nofollow\">" . $comment->comment_author ."</a>"; } else{ echo $comment->comment_author; } echo"</cite><span class=\"datetime\">$comment->comment_date</span>";
  echo"<p>".$comment->comment_content."</p>";
  if ($comment->comment_approved == '0') :
  echo"<em>('Спасибо! Ваш комментарий ожидает проверки.')</em>";
  endif;
  ?>
  <div class="cleaner"></div>
  </div>
  <?
}

function normalPings($comment)
{
  echo"<li>";
  echo"<div class=\"comment-content\" id=\"comment-$comment->comment_ID\"><cite class=\"author\">"; if (strlen($comment->comment_author_url) > 10){ echo"<a href=\"".$comment->comment_author_url."\" rel=\"external,nofollow\">" . $comment->comment_author ."</a>"; } else{ echo $comment->comment_author; } echo"</cite><span class=\"datetime\">$comment->comment_date</span>";
  echo"<p>".$comment->comment_content."</p>";
  echo"</div>";
}

/*
Plugin Name: Ping/Track/Comment Count
Plugin URI: http://txfx.net/code/wordpress/ping-track-comment-count/
Version: 1.1
Description: Provides unctions that return or display the number of trackbacks, pingbacks, comments or combined pings recieved by a given post.  Other authors: Chris J. Davis, Scott "Skippy" Merrill
Author: Mark Jaquith
Author URI: http://markjaquith.com/
*/

/*

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.    See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA     02110-1301, USA.

*/


function get_comment_type_count($type='all', $post_id = 0) {
    global $cjd_comment_count_cache, $id, $post;
    if ( !$post_id )
        $post_id = $post->ID;
    if ( !$post_id )
        return;

    if ( !isset($cjd_comment_count_cache[$post_id]) ) {
        $p = get_post($post_id);
        $p = array($p);
        update_comment_type_cache($p);
    }

    if ( $type == 'pingback' || $type == 'trackback' || $type == 'comment' )
        return $cjd_comment_count_cache[$post_id][$type];
    elseif ( $type == 'ping' )
        return $cjd_comment_count_cache[$post_id]['pingback'] + $cjd_comment_count_cache[$post_id]['trackback'];
    else
        return array_sum((array) $cjd_comment_count_cache[$post_id]);

}

function comment_type_count($type = 'all', $post_id = 0) {
        echo get_comment_type_count($type, $post_id);
}


function update_comment_type_cache(&$queried_posts) {
    global $cjd_comment_count_cache, $wpdb;

    if ( !$queried_posts )
        return $queried_posts;


    foreach ( (array) $queried_posts as $post )
        if ( !isset($cjd_comment_count_cache[$post->ID]) )
            $post_id_list[] = $post->ID;

    if ( $post_id_list ) {
        $post_id_list = implode(',', $post_id_list);

        foreach ( array('', 'pingback', 'trackback') as $type ) {
            $counts = $wpdb->get_results("SELECT ID, COUNT( comment_ID ) AS ccount
            FROM $wpdb->posts
            LEFT JOIN $wpdb->comments ON ( comment_post_ID = ID AND comment_approved = '1' AND comment_type='$type' )
            WHERE post_status = 'publish' AND ID IN ($post_id_list)
            GROUP BY ID");

            if ( $counts ) {
                if ( '' == $type )
                    $type = 'comment';
                foreach ( $counts as $count )
                    $cjd_comment_count_cache[$count->ID][$type] = $count->ccount;
            }
        }
    }
    return $queried_posts;
}

//add_filter('the_posts', 'update_comment_type_cache');

/*
Plugin Name: Limit Posts
Plugin URI: http://labitacora.net/comunBlog/limit-post.phps
Description: Limits the displayed text length on the index page entries and generates a link to a page to read the full content if its bigger than the selected maximum length.
Usage: the_content_limit($max_charaters, $more_link)
Version: 1.1
Author: Alfonso Sanchez-Paus Diaz y Julian Simon de Castro
Author URI: http://labitacora.net/
License: GPL
Download URL: http://labitacora.net/comunBlog/limit-post.phps
Make:
    In file index.php
    replace the_content()
    with the_content_limit(1000, "more")
*/

function the_content_limit($max_char, $more_link_text = '(далее...)', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);

   if (strlen($_GET['p']) > 0) {
      echo $content;
   }
   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo $content;
        echo "...";
   }
   else {
      echo $content;
   }
}

function catch_that_image ($post_id=0, $width=60, $height=60, $img_script='') {
	global $wpdb;
	if($post_id > 0) {

		 // select the post content from the db

		 $sql = 'SELECT post_content FROM ' . $wpdb->posts . ' WHERE id = ' . $wpdb->escape($post_id);
		 $row = $wpdb->get_row($sql);
		 $the_content = $row->post_content;
		 if(strlen($the_content)) {

			  // use regex to find the src of the image

			preg_match("/<img src\=('|\")(.*)('|\") .*( |)\/>/", $the_content, $matches);
			if(!$matches) {
				preg_match("/<img class\=\".*\" title\=\".*\" src\=('|\")(.*)('|\") .*( |)\/>/U", $the_content, $matches);
			}

			$the_image = '';
			$the_image_src = $matches[2];
			$frags = preg_split("/(\"|')/", $the_image_src);
			if(count($frags)) {
				$the_image_src = $frags[0];
			}

			  // if src found, then create a new img tag

			  if(strlen($the_image_src)) {
				   if(strlen($img_script)) {

					    // if the src starts with http/https, then strip out server name

					    if(preg_match("/^(http(|s):\/\/)/", $the_image_src)) {
						     $the_image_src = preg_replace("/^(http(|s):\/\/)/", '', $the_image_src);
						     $frags = split("\/", $the_image_src);
						     array_shift($frags);
						     $the_image_src = '/' . join("/", $frags);
					    }
					    $the_image = '<img alt="" src="' . $img_script . $the_image_src . '" />';
				   }
				   else {
					    $the_image = '<img alt="" src="' . $the_image_src . '" width="' . $width . '" height="' . $height . '" />';
				   }
			  }
			  return $the_image_src;
		 }
	}
}

function getCategories($parent) {

	global $wpdb, $table_prefix;

	$tb1 = "$table_prefix"."terms";
	$tb2 = "$table_prefix"."term_taxonomy";

	if ($parent == '1')
	{
	 $qqq = "AND $tb2".".parent = 0";
  }
  else
  {
    $qqq = "";
  }

	$q = "SELECT $tb1.term_id,$tb1.name,$tb1.slug FROM $tb1,$tb2 WHERE $tb1.term_id = $tb2.term_id AND $tb2.taxonomy = 'category' $qqq ORDER BY $tb1.name ASC";
	$q = $wpdb->get_results($q);

  foreach ($q as $cat) {
    	$categories[$cat->term_id] = $cat->name;
    } // foreach
  return($categories);
} // end func

$categories = getCategories(0);

		foreach ( $categories as $key => $value ) {

			$catids[] = $key;
			$catnames[] = $value;
		}

$homepath = get_bloginfo('stylesheet_directory');

/* TRAVELOGUE Theme Settings Panel in Dashboard */
$themename = "Тема Travelogue";
$shortname = "tra";
$options = array (

array(    "name" => "Общие настройки темы Travelogue",
        "type" => "title"),

array(    "type" => "open"),

array(    "type" => "start-column",
        "name" => "Общие настройки"),

array(    "name" => "Путь к логотипу",
        "desc" => "Вставьте полный путь к логотипу.",
        "id" => $shortname."_misc_logo_path",
        "std" => "",
        "type" => "text"),

array(    "type" => "end-column"),
array(    "type" => "start-column",
          "name" => "Рекоменудемые статьи"),

array(    "name" => "Рубрика рекомендуемых статей на главной",
        "desc" => "Выберите рубрику, статьи из которой должны показываться в секции рекомендуемых на главной.",
        "id" => $shortname."_featured_cat_1",
        "categoryids" => $catids,
        "categorynames" => $catnames,
        "std" => "",
        "type" => "select-category"),

array(    "name" => "Заголовок секции рекомендуемых статей",
        "desc" => "Выберите заголовко для секции рекомендуемых статей. По-умолчанию: Рекомендуем",
        "id" => $shortname."_featured_title",
        "std" => "Рекомендуем",
        "type" => "text"),

array(    "name" => "Интервал смены слайдов в секции рекомендуемых статей",
        "desc" => "Выберите нужный интервал (в секунда). По-умолчанию: 3",
        "id" => $shortname."_featured_slide_interval",
        "std" => "3",
        "type" => "text"),

array(    "name" => "Дублировать секцию рекомендуемых статей на главной?",
        "desc" => "Если статья рекомендуемая, она появится в специальной секции на главной. Однако она также может продублироваться в недавних записях на главной.<br />
        Если вы выберите <strong>No</strong>, рекомендуемые статьи не будут дублироваться в списке недавних статей, и появятся только в секции рекомендуемых.<br />
        Если вы выберите <strong>Yes</strong>, рекомендуемые статьи будут показаны как в секции рекомендуемых статей, так и в списке недавних статей.<br />Вы можете протестировать обе опции, чтобы понять как это лучше работает.",
        "id" => $shortname."_featured_duplicates",
        "options" => array('No', 'Yes'),
        "std" => "No",
        "type" => "select"),

array(    "type" => "end-column"),
array(    "type" => "start-column",
          "name" => "Настройки изображений и миниатюр"),

array(    "name" => "Использовать произвольные поля для иллюстраций?",
        "desc" => "Если вы выбирете <strong>Yes</strong>, тема будет использовать изображения, добавленные через произвольное поле (укажите свой ключ для поля ниже).<br />Если вы выберите <strong>No</strong>, тема автоматически будет использовать изображения из содержания статьи.",
        "id" => $shortname."_cf_use",
        "options" => array('No','Yes'),
        "std" => "No",
        "type" => "select"),

array(    "name" => "Произвольное поле для иллюстраций",
        "desc" => "Если вы используете произвольное поле для иллюстраций к вашим статьям, вставьте ключ здесь.<br /><strong>Используеся только, если вы поставите галочку напротив <u>Yes</u> в предыдуших настройках.</strong>",
        "id" => $shortname."_cf_photo",
        "std" => "image",
        "type" => "text"),

array(    "type" => "end-column"),
array(    "type" => "start-column",
          "id" => "banners",
          "name" => "Управление баннерами"),

array(    "name" => "Добавить баннер в шапку сайта?",
        "desc" => "Показывать баннер в шапке сайта?",
        "id" => $shortname."_ad_head_select",
        "options" => array('No', 'Yes'),
        "std" => "No",
        "type" => "select"),

array(    "name" => "Баннер в шапке",
        "desc" => "Введите полный HTML/JS код вашего баннера.",
        "id" => $shortname."_ad_head_imgpath",
        "std" => "",
        "type" => "textarea"),

array(    "name" => "Добавить баннер в боковое меню?",
        "desc" => "Показывать баннер в боковом меню?",
        "id" => $shortname."_ad_side_select",
        "options" => array('No', 'Yes'),
        "std" => "No",
        "type" => "select"),

array(    "name" => "Код баннера в боковом меню",
        "desc" => "Введите полный HTML/JS код вашего баннера.",
        "id" => $shortname."_ad_side_imgpath",
        "std" => "",
        "type" => "textarea"),

array(    "name" => "Размещение баннера в боковом меню",
        "desc" => "Хотите ли вы размещать баннер до виджетов или после виджетов? After - после. Before - до.",
        "id" => $shortname."_ad_side_pos",
        "options" => array('After', 'Before'),
        "std" => "After",
        "type" => "select"),

array(    "name" => "Добавить баннер в статьи?",
        "desc" => "Показывать баннер в статьях?",
        "id" => $shortname."_ad_content_select",
        "options" => array('No', 'Yes'),
        "std" => "No",
        "type" => "select"),

array(    "name" => "Код баннера в статьях",
        "desc" => "Введите полный HTML/JS код вашего баннера.",
        "id" => $shortname."_ad_content_imgpath",
        "std" => "",
        "type" => "textarea"),

array(    "name" => "Размещение баннера в статьях",
        "desc" => "Хотите ли вы размещать баннер до или после статьи? After - после. Before - до.",
        "id" => $shortname."_ad_content_pos",
        "options" => array('After', 'Before'),
        "std" => "After",
        "type" => "select"),

array(    "type" => "end-column"),
array(    "type" => "start-column",
          "name" => "Остальные настройки"),

array(    "name" => "ID Google Analytics",
        "desc" => "Если вы хотите использовать Google Analytics для отслеживания статистики посещений, вставьте свой ID Analytics здесь.<br />Например: <strong>UA-761932-37</strong><br />Оставьте поле пустым, если не хотите использовать Analytics.",
        "id" => $shortname."_misc_analytics",
        "std" => "",
        "type" => "text"),

array(    "name" => "Имя в Twitter",
        "desc" => "Если вы добавите сюда свое имя пользователя в Twitter появится дополнительное меню в шапке сайта: \"Следите за мной на Twitter\" с ссылкой на ваш профиль.<br />Например: <strong>ThemesCloset</strong><br />Оставьте поле пустым, если вы не используете Twitter.",
        "id" => $shortname."_misc_twitter",
        "std" => "",
        "type" => "text"),

array(    "name" => "Адрес ленты FeedBurner",
        "desc" => "Если вы хотите использовать Google Feedburner, вставьте сюда адрес своей ленты в Feedburner.<br />Например: <strong>http://feeds2.feedburner.com/ThemesCloset</strong><br />Оставьте поле пустым, если вы хотите использовать стандартную ленту WordPress.",
        "id" => $shortname."_misc_feedburner",
        "std" => "",
        "type" => "text"),

array(    "name" => "ID администраторов",
        "desc" => "Перечислите ID всех администраторов, разделяя их запятыми. Например: 1,2,5. Обычно есть только один администратор, для которого используется ID: 1.",
        "id" => $shortname."_admin_ids",
        "std" => "1",
        "type" => "text"),

array(    "name" => "Размер граватар (комментарии)",
        "desc" => "Какой размер граватар вы бы хотели использовать (в секции комментариев). По-умолчанию: 50.",
        "id" => $shortname."_comments_gravatar_size",
        "std" => "50",
        "type" => "text"),

array(    "type" => "end-column"),

array(    "type" => "close")

);

function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {

        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." - Настройки", "".$themename." - Настройки", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' настройки сохранены.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' настройки сброшены.</strong></p></div>';

?>
<div class="wrap">
<h1>Настройки <?php echo $themename; ?></h1>
<style type="text/css">
<!--
table {font-size: 12px; font-family: Georgia, sans-serif; }
div.column {width: 95%; float: left; padding: 10px 15px; vertical-align: top; background-color: #f1f1f1; margin: 0 20px 20px 0; border: solid 5px #e1e1e1;}
div.column input, div.column select, div.column textarea {border: solid 1px #aaa; padding-left: 5px; font-size: 12px; margin-left: 5px; width: 350px; }
div.column input {height: 30px; line-height: 30px; }
div.column input.checkbox {width: 30px;}
div.column textarea {height: 150px; width: 500px;}
div.column td {padding: 10px 0 0; }
div.column input.submit {font-weight: normal; font-size: 11px; border: none; width: auto; height: auto; padding:0; margin:0 0 10px; }
div.column td.label {width: 300px; font-weight: bold; background-color: #ddd; padding:0 5px; line-height: 18px; font-size: 12px; }
div.column tr.sep1 td {border-bottom: dotted 1px #000; height: 10px; font-size: 1px; line-height: 1px; }
div.column tr.description td p {font-size: 11px; color: #666; font-family: Tahoma, sans-serif; line-height: 15px;}
div.column td.save {text-align: center; background-color: #ddd;}
div.column h2 span.top {font-size: 14px; font-style: normal;}
div.cleaner {font-size: 1px; line-height:1px; height:1px; clear: left; margin: 5px 0; }

ul.navMenu {margin: 10px 0 50px; padding:0; }
ul.navMenu li {float: left; display: inline; margin-right: 1px; font-size: 12px; font-weight: bold; }
ul.navMenu li a {padding: 5px 9px; background-color: #777; color: #fff; }
ul.navMenu li a:hover {background-color: #3dcef2;}
-->
</style>
<a id="top" href="#"></a>
<h2>Посетите <a href="http://www.wpzoom.com/forum/">формуы поддержки</a>, если у вас возникли сложности с этой темой, или вы хотите ее настроить под себя.<br />Понравилась тема? <a href="#donate">Купите автору чашечку кофе :)</a></h2>

<form method="post">
<?php global $homepath; ?>
<?php foreach ($options as $value) {

switch ( $value['type'] ) {

case "open":
?>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr>
    <td>
<?php break;

case "close":
?>

</td></tr>
</table><br />

<?php break;

case "start-column":
?>
<div class="column" id="<?php echo $value['id']; ?>">
  <h2><?php echo $value['name']; ?> <span class="top">(<a href="#top">наверх</a>)</span></h2>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">

<?php break;

case "end-column":
?>
<tr>
   <td colspan="2" class="save"><input name="save" type="image" src="<?php echo $homepath; ?>/images/bt_save.png" value="Сохранить настройки" class="submit" /></td>
   </tr>
</table>
</div>

<?php break;

case "separator":
?>
        <tr class="sep1">
          <td colspan="2">&nbsp;</td>
        </tr>

<?php break;

case "cleaner":
?>
        <div style="font-size: 1px; line-height:1px; clear: left; margin: 5px 0; ">&nbsp;</div>

<?php break;

case 'text':
?>

<tr>
    <td class="label"><?php echo $value['name']; ?></td>
    <td><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<tr class="description">
    <td colspan="2"><p><?php echo $value['desc']; ?></p></td>
</tr>
<tr class="sep1">
          <td colspan="2">&nbsp;</td>
        </tr>
<?php
break;

case 'textarea':
?>

<tr>
    <td class="label"><?php echo $value['name']; ?></td>
    <td><textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'] )); } else { echo $value['std']; } ?></textarea></td>

</tr>

<tr class="description">
    <td colspan="2"><p><?php echo $value['desc']; ?></p></td>
</tr>
<tr class="sep1">
          <td colspan="2">&nbsp;</td>
        </tr>
<?php
break;

case 'select':
?>
<tr>
    <td class="label"><?php echo $value['name']; ?></td>
    <td><select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select></td>
</tr>

<tr class="description">
    <td colspan="2"><p><?php echo $value['desc']; ?></p></td>
</tr>
<tr class="sep1">
          <td colspan="2">&nbsp;</td>
        </tr>
<?php
break;

case 'select-category':
?>
<tr>
    <td class="label"><?php echo $value['name']; ?></td>
    <td><select name="<?php echo $value['id']; ?>"><?php foreach ($value['categoryids'] as $key => $val) { ?><option value="<?php echo"$val";?>"<?php if ( get_settings( $value['id'] ) == $val) { echo ' selected="selected"'; } ?>><?php echo $value['categorynames'][$key]; ?></option><?php } ?></select></td>
</tr>

<tr class="description">
    <td colspan="2"><p><?php echo $value['desc']; ?></p></td>
</tr>
<tr class="sep1">
          <td colspan="2">&nbsp;</td>
        </tr>
<?php
break;

case 'select-category-multi':

$activeoptions = array();
$activeoptions = get_settings( $value['id'] );
?>
<tr>
    <td class="label"><?php echo $value['name']; ?></td>
    <td><select multiple="true" name="<?php echo $value['id']; ?>[]" style="height: 150px;">
    <?php foreach ($value['categoryids'] as $key => $val) { ?><option value="<?php echo"$val";?>"<?php if ( in_array($val,$activeoptions)) { echo ' selected="selected"'; } ?>><?php echo $value['categorynames'][$key]; ?></option><?php } ?></select></td>
</tr>

<tr class="description">
    <td colspan="2"><p><?php echo $value['desc']; ?></p></td>
</tr>
<tr class="sep1">
          <td colspan="2">&nbsp;</td>
        </tr>
<?php
break;

case "checkbox":
?>
    <tr>
    <td class="label"><?php echo $value['name']; ?></td>
    <td><?php if(get_settings($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?><input type="checkbox" class="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> /></td>
    </tr>
<tr class="description">
    <td colspan="2"><p><?php echo $value['desc']; ?></p></td>
</tr>
<tr class="sep1">
          <td colspan="2">&nbsp;</td>
        </tr>
<?php         break;

}
}
?>
<p class="submit">
<input name="save" type="submit" value="Сохранить настройки" />
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Сбросить" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
<a id="donate"></a><h2>Купите автору кофе</h2>
<p>Если вам понравилось использовать тему TRAVELOGUE, и вы чувствуете себя щедрым, купите автору чашечку кофе. Он действительно любит кофе:)<br />(По желанию)</p>
<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="6762183">
<input type="image" src="https://www.paypal.com/en_US/DE/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
</form>

<?php
}

add_action('admin_menu', 'mytheme_add_admin');

if ( function_exists('register_sidebar') )

register_sidebar(array('name'=>'sidebarWide',
'before_widget' => '<div id="%1$s" class="box widget %2$s">',
'after_widget' => '<div class="cleaner">&nbsp;</div></div>',
'before_title' => '<p class="header">',
'after_title' => '</p>',
));

?>